Loading...
Searching...
No Matches
componentAttachPt< T > Class Template Reference
OpenCSD Library : Library Component Infrastructure

Single component interface pointer attachment point. More...

`#include <comp_attach_pt_t.h>`

Collaboration diagram for componentAttachPt< T >:
[legend]

## Public Member Functions

| componentAttachPt ()
virtual | ~componentAttachPt ()
virtual ocsd_err_t | attach (T *component)
virtual ocsd_err_t | detach (T *component)
virtual ocsd_err_t | replace_first (T *component)
virtual void | detach_all ()
virtual T * | first ()
virtual T * | next ()
virtual int | num_attached ()
void | set_notifier (IComponentAttachNotifier *notifier)
const bool | enabled () const
void | set_enabled (const bool enable)
const bool | hasAttached () const
const bool | hasAttachedAndEnabled () const

## Protected Attributes

bool | m_enabled
bool | m_hasAttached
IComponentAttachNotifier * | m_notifier
T * | m_comp

## Detailed Description

template<class T>
class componentAttachPt< T >

Single component interface pointer attachment point.

This is a class template to standardise the connections between decode components.

An attachment point connects a component interface pointer to the component providing the attachment point.

This attachment point implementation allows a single interface to be connected.

Definition at line 61 of file comp_attach_pt_t.h.

## Member Function Documentation

## hasAttached()

template<class T>

const bool componentAttachPt< T >::hasAttached | ( |  | ) | const

inline

Check to see if any attachements. Will return attach state independent of enable state.

Returns
  const bool : true if attachment.

Definition at line 134 of file comp_attach_pt_t.h.

## hasAttachedAndEnabled()

template<class T>

const bool componentAttachPt< T >::hasAttachedAndEnabled | ( |  | ) | const

inline

Return both the attachment and enabled state.

Returns
  const bool : true if both has attachment and is enabled.

Definition at line 142 of file comp_attach_pt_t.h.

## Member Data Documentation

## m_comp

template<class T>

T* componentAttachPt< T >::m_comp

protected

pointer to the single attached interface

Definition at line 148 of file comp_attach_pt_t.h.

## m_enabled

template<class T>

bool componentAttachPt< T >::m_enabled

protected

Flag to indicate if the attachment point is enabled.

Definition at line 145 of file comp_attach_pt_t.h.

## m_hasAttached

template<class T>

bool componentAttachPt< T >::m_hasAttached

protected

Flag indicating at least one attached interface

Definition at line 146 of file comp_attach_pt_t.h.

## m_notifier

template<class T>

IComponentAttachNotifier* componentAttachPt< T >::m_notifier

protected

Optional attachement notifier interface.

Definition at line 147 of file comp_attach_pt_t.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/common/comp_attach_pt_t.h